#include <iostream>
#include <cstring>
using namespace std;

void minimax(char c[],int a,int b,int &maks,int &min,char &p,char &q){
    maks=b;
    min=a;
    p=c[1];
    q=c[0];
    if(a>b){
        maks=a;
        min=b;
        p=c[0];
        q=c[1];
    }
}

int main(){
    int a,b,min,maks;
    char c[2],s[100],p,q;
    cin>>c;
    cin>>a>>b;
    minimax(c,a,b,maks,min,p,q);
    if(maks>min+1) cout<<"nemoguce";
    else{
        for(int i=0;i<min+maks;i+=2){
            s[i]=p;
            s[i+1]=q;
        }
        s[min+maks]=0;
        cout<<s;
    }
}